id: '8f8b6497-2c6e-4386-a8fe-cbb56ef89ee8'
name: 'MySQL_classicmodels'
timestamp: '2024-09-11T12:48:52.0521395Z'
sourceSystem:
  type: 'MySQL'
sourceObjects:
- name: 'customers'
  objectType: {}
  terms:
  - name: 'customerNumber'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'customerName'
    sourceDataType:
      name: 'varchar'
      length: 50
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'contactLastName'
    sourceDataType:
      name: 'varchar'
      length: 50
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'contactFirstName'
    sourceDataType:
      name: 'varchar'
      length: 50
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'phone'
    sourceDataType:
      name: 'varchar'
      length: 50
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'addressLine1'
    sourceDataType:
      name: 'varchar'
      length: 50
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'addressLine2'
    sourceDataType:
      name: 'varchar'
      length: 50
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'city'
    sourceDataType:
      name: 'varchar'
      length: 50
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'state'
    sourceDataType:
      name: 'varchar'
      length: 50
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'postalCode'
    sourceDataType:
      name: 'varchar'
      length: 15
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'country'
    sourceDataType:
      name: 'varchar'
      length: 50
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'salesRepEmployeeNumber'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'creditLimit'
    sourceDataType:
      name: 'decimal'
      scale: 2
      precision: 10
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'employees'
  objectType: {}
  terms:
  - name: 'employeeNumber'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'lastName'
    sourceDataType:
      name: 'varchar'
      length: 50
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'firstName'
    sourceDataType:
      name: 'varchar'
      length: 50
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'extension'
    sourceDataType:
      name: 'varchar'
      length: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'email'
    sourceDataType:
      name: 'varchar'
      length: 100
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'officeCode'
    sourceDataType:
      name: 'varchar'
      length: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'reportsTo'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'jobTitle'
    sourceDataType:
      name: 'varchar'
      length: 50
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'offices'
  objectType: {}
  terms:
  - name: 'officeCode'
    sourceDataType:
      name: 'varchar'
      length: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'city'
    sourceDataType:
      name: 'varchar'
      length: 50
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'phone'
    sourceDataType:
      name: 'varchar'
      length: 50
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'addressLine1'
    sourceDataType:
      name: 'varchar'
      length: 50
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'addressLine2'
    sourceDataType:
      name: 'varchar'
      length: 50
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'state'
    sourceDataType:
      name: 'varchar'
      length: 50
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'country'
    sourceDataType:
      name: 'varchar'
      length: 50
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'postalCode'
    sourceDataType:
      name: 'varchar'
      length: 15
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'territory'
    sourceDataType:
      name: 'varchar'
      length: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'orderdetails'
  objectType: {}
  terms:
  - name: 'orderNumber'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'productCode'
    sourceDataType:
      name: 'varchar'
      length: 15
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'quantityOrdered'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'priceEach'
    sourceDataType:
      name: 'decimal'
      scale: 2
      precision: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'orderLineNumber'
    sourceDataType:
      name: 'smallint'
      scale: 0
      precision: 5
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'orders'
  objectType: {}
  terms:
  - name: 'orderNumber'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'orderDate'
    sourceDataType:
      name: 'date'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'requiredDate'
    sourceDataType:
      name: 'date'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'shippedDate'
    sourceDataType:
      name: 'date'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'status'
    sourceDataType:
      name: 'varchar'
      length: 15
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'comments'
    sourceDataType:
      name: 'text'
      length: 65535
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'customerNumber'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'payments'
  objectType: {}
  terms:
  - name: 'customerNumber'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'checkNumber'
    sourceDataType:
      name: 'varchar'
      length: 50
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'paymentDate'
    sourceDataType:
      name: 'date'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'amount'
    sourceDataType:
      name: 'decimal'
      scale: 2
      precision: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'productlines'
  objectType: {}
  terms:
  - name: 'productLine'
    sourceDataType:
      name: 'varchar'
      length: 50
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'textDescription'
    sourceDataType:
      name: 'varchar'
      length: 4000
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'htmlDescription'
    sourceDataType:
      name: 'mediumtext'
      length: 16777215
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'image'
    sourceDataType:
      name: 'mediumblob'
      length: 16777215
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'products'
  objectType: {}
  terms:
  - name: 'productCode'
    sourceDataType:
      name: 'varchar'
      length: 15
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'productName'
    sourceDataType:
      name: 'varchar'
      length: 70
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'productLine'
    sourceDataType:
      name: 'varchar'
      length: 50
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'productScale'
    sourceDataType:
      name: 'varchar'
      length: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'productVendor'
    sourceDataType:
      name: 'varchar'
      length: 50
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'productDescription'
    sourceDataType:
      name: 'text'
      length: 65535
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'quantityInStock'
    sourceDataType:
      name: 'smallint'
      scale: 0
      precision: 5
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'buyPrice'
    sourceDataType:
      name: 'decimal'
      scale: 2
      precision: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'MSRP'
    sourceDataType:
      name: 'decimal'
      scale: 2
      precision: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
